#ifndef PILISTMAC_H_SEEN
#define PILISTMAC_H_SEEN

#include "pilistgen.h"
#include "pipplist.h"

class PIListMac : public PIListGen {
public:
	             PIListMac(PIContainerGen* par, char* nom,
                             int sx=100, int sy=100, int px=0, int py=0);
	             ~PIListMac();
				   
  virtual void	     AppendItem(const char * item, PIMessage msg);
  virtual void       DeleteItem(const char *item);
  virtual void       DeleteItem(PIMessage msg);

  virtual void       SetMultipleSelect(bool ms=false);

  virtual int        GetNbSelection();
  virtual PIMessage  GetSelection(int num=0);
  virtual string     GetSelectionStr(int num=0);

  virtual void       SelectItem(const char * item);
  virtual void       SelectItem(PIMessage msg);
  virtual void       ClearSelItem(const char * item);
  virtual void       ClearSelItem(PIMessage msg);


protected:
  PIPPList* mPIPPList;
};

typedef PIListMac        PIList;

#endif
